using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.CM
{
    /// <summary>
    /// 年度应急演练计划明细表
    /// </summary>
    [Description("应急演练计划明细表")]
    public class T_CM_DRILL_PLAN_DETAIL : MesEntityBase
    {
        /// <summary>
        /// PLID
        /// </summary>
        [Description("年度计划")]
        [DataFieldForeignKey("Nav_PLAN", "Nav_listPlanDetail")]
        public Guid? PLAN_ID { get; set; }

        /// <summary>
        /// 导航属性：年度计划
        /// </summary>
        [Description("导航属性：年度计划")]
        public virtual T_CM_DRILL_PLAN Nav_PLAN { get; set; }

        /// <summary>
        /// 应急演练时间
        /// </summary>
        [Description("应急演练时间")]
        [FormFieldEdit]
        public DateTime? DRLL_DATE { get; set; }

        /// <summary>
        /// 应急演练名称
        /// </summary>
        [Description("应急演练名称")]
        [FormFieldEdit]
        [DataFieldLength(200)]
        public string NAME { get; set; }

        /// <summary>
        /// 应急演练名称
        /// </summary>
        [Description("应急演练名称")]
        [DataFieldForeignKey("Nav_Name")]
        public Guid? NAME_ID { get; set; }

        /// <summary>
        /// 应急演练名称
        /// </summary>
        [Description("应急演练名称")]
        public T_CM_DRILL_NAME Nav_Name { get; set; }

        /// <summary>
        /// 演练部门ID
        /// </summary>
        [Description("演练部门")]
        [DataFieldForeignKey("Nav_Department")]
        [FormFieldEdit]
        public Guid? DEPARTMENT_ID { get; set; }

        /// <summary>
        /// 导航属性：演练部门
        /// </summary>
        [Description("导航属性：演练部门")]
        public virtual T_FM_DEPARTMENT Nav_Department { get; set; }

        /// <summary>
        /// 责任人ID
        /// </summary>
        [Description("责任人")]
        [DataFieldForeignKey("Nav_User")]
        [FormFieldEdit]
        public Guid? USER_ID { get; set; }

        /// <summary>
        /// 导航：责任人
        /// </summary>
        [Description("导航：责任人")]
        public virtual T_FM_USER Nav_User { get; set; }

        /// <summary>
        /// 演练方案触发时间
        /// </summary>
        [Description("演练方案触发时间")]
        [FormFieldEdit]
        public DateTime? TRIGGER_TIME { get; set; }

        /// <summary>
        /// 触发状态
        /// </summary>
        [Description("触发状态")]
        public bool TRIGGERED { get; set; }
    }
}